回到顶部

Contents

Error fetching command 'build_solr_schema': The 'solr' backend requires the installation of 'pysolr'. Please refer to the documentation. Command 'build_solr_schema' skipped

错误提示:

Error fetching command 'build_solr_schema': The 'solr' backend requires the installation of 'pysolr'. Please refer to the documentation.
Command 'build_solr_schema' skipped

解决方法:

(joyoo) E:\yinzhuoqun\djangos\joyoo>pip install pysolr
Collecting pysolr
  Downloading pysolr-3.9.0.tar.gz (55 kB)
     |████████████████████████████████| 55 kB 88 kB/s
Requirement already satisfied: requests>=2.9.1 in e:\py_virtualenv\joyoo\lib\site-packages (from pysolr) (2.18.4)
Requirement already satisfied: urllib3<1.23,>=1.21.1 in e:\py_virtualenv\joyoo\lib\site-packages (from requests>=2.9.1->pysolr) (1.22)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in e:\py_virtualenv\joyoo\lib\site-packages (from requests>=2.9.1->pysolr) (3.0.4)
Requirement already satisfied: certifi>=2017.4.17 in e:\py_virtualenv\joyoo\lib\site-packages (from requests>=2.9.1->pysolr) (2017.7.27.1)
Requirement already satisfied: idna<2.7,>=2.5 in e:\py_virtualenv\joyoo\lib\site-packages (from requests>=2.9.1->pysolr) (2.6)
Building wheels for collected packages: pysolr
  Building wheel for pysolr (setup.py) ... done
  Created wheel for pysolr: filename=pysolr-3.9.0-py2.py3-none-any.whl size=19676 sha256=5f2e7b018cb1d171dfd3c2d679e58b8d92e46281c871e7180773ab67a55c03a3
  Stored in directory: c:\users\cjtdev003\appdata\local\pip\cache\wheels\92\fb\09\39dc4c504fa354811f4857263bdc2c01b7161e43c51328e74d
Successfully built pysolr
Installing collected packages: pysolr
Successfully installed pysolr-3.9.0

 

^_^
请喝咖啡 ×

前一篇: Django AttributeError: 'Query' object has no attribute '_filtered_relations'
下一篇: centos 查看端口是否被使用(netstat 和 lsof)
captcha